from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Array, Int, File, String, Boolean

Tombo_Cluster_Most_Significant_V0_1_0 = CommandToolBuilder(tool="tombo_cluster_most_significant", base_command=["tombo", "cluster_most_significant"], inputs=[ToolInput(tag="in_fast_five_based_irs", input_type=Array(t=Int(), optional=True), prefix="--fast5-basedirs", doc=InputDocumentation(doc="Directories containing fast5 files.")), ToolInput(tag="in_control_fast_five_based_irs", input_type=Array(t=Int(), optional=True), prefix="--control-fast5-basedirs", doc=InputDocumentation(doc="Control set of directories containing fast5 files.\nThese reads should contain only standard nucleotides.")), ToolInput(tag="in_statistics_filename", input_type=File(optional=True), prefix="--statistics-filename", doc=InputDocumentation(doc="File to save/load base by base statistics.")), ToolInput(tag="in_genome_fast_a", input_type=File(optional=True), prefix="--genome-fasta", doc=InputDocumentation(doc="FASTA file used to re-squiggle. For faster sequence\naccess.")), ToolInput(tag="in_processes", input_type=Int(optional=True), prefix="--processes", doc=InputDocumentation(doc="Number of processes. Default: 1")), ToolInput(tag="in_num_regions", input_type=Int(optional=True), prefix="--num-regions", doc=InputDocumentation(doc="Number of regions to plot. Default: 10")), ToolInput(tag="in_num_bases", input_type=Int(optional=True), prefix="--num-bases", doc=InputDocumentation(doc="Number of bases to plot/output. Default: 21")), ToolInput(tag="in_q_value_threshold", input_type=Int(optional=True), prefix="--q-value-threshold", doc=InputDocumentation(doc="Plot all regions below provied q-value. Overrides\n--num-regions.")), ToolInput(tag="in_slide_span", input_type=Int(optional=True), prefix="--slide-span", doc=InputDocumentation(doc="Number of bases offset over which to search when\ncomputing distances for signal cluster plotting.\nDefault: 0 (exact position)")), ToolInput(tag="in_pdf_filename", input_type=File(optional=True), prefix="--pdf-filename", doc=InputDocumentation(doc="PDF filename to store plot(s). Default:\ntombo_results.signal_clusters.pdf")), ToolInput(tag="in_r_data_filename", input_type=File(optional=True), prefix="--r-data-filename", doc=InputDocumentation(doc="Filename to save R data structure. Default: Don't save")), ToolInput(tag="in_corrected_group", input_type=Int(optional=True), prefix="--corrected-group", doc=InputDocumentation(doc="FAST5 group created by resquiggle command. Default:\nRawGenomeCorrected_000")), ToolInput(tag="in_base_call_subgroups", input_type=Array(t=String(), optional=True), prefix="--basecall-subgroups", doc=InputDocumentation(doc="FAST5 subgroup(s) (under Analyses/[corrected-group])\ncontaining basecalls. Default: ['BaseCalled_template']")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Don't print status information."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Tombo_Cluster_Most_Significant_V0_1_0().translate("wdl", allow_empty_container=True)

